Updated Polish translation
[empathy.git] / configure.ac
1 dnl If not 1, append datestamp to the version number
2 m4_define(empathy_released, 0)
3
4 m4_define([empathy_major_version], [2])
5 m4_define([empathy_minor_version], [29])
6 m4_define([empathy_micro_version], [92])
7 m4_define([empathy_nano_version], [0])
8
9 dnl Display the nano_version only if it's not '0'
10 m4_define([empathy_base_version],
11           [empathy_major_version.empathy_minor_version.empathy_micro_version])
12 m4_define([empathy_full_version],
13           [m4_if(empathy_nano_version, 0, [empathy_base_version],
14               [empathy_base_version].[empathy_nano_version])])
15
16 m4_define(empathy_maybe_datestamp,
17           m4_esyscmd([if test x]empathy_released[ != x1; then date +.%Y%m%d | tr -d '\n\r'; fi]))
18
19 m4_define(empathy_version, empathy_full_version[]empathy_maybe_datestamp)
20
21
22 AC_INIT(Empathy, empathy_version, http://bugzilla.gnome.org/browse.cgi?product=empathy)
23
24
25 AC_PREREQ(2.59)
26 AC_COPYRIGHT([
27   Copyright (C) 2003-2007 Imendio AB
28   Copyright (C) 2007-2008 Collabora Ltd.
29 ])
30
31 # Minimal version required
32 GLIB_REQUIRED=2.22.0
33 GTK_REQUIRED=2.18.0
34 GCONF_REQUIRED=1.2.0
35 TELEPATHY_GLIB_REQUIRED=0.9.2
36 TELEPATHY_LOGGER=0.1.1
37 ENCHANT_REQUIRED=1.2.0
38 ISO_CODES_REQUIRED=0.35
39 LIBNOTIFY_REQUIRED=0.4.4
40 LIBCANBERRA_GTK_REQUIRED=0.4
41 LIBCHAMPLAIN_REQUIRED=0.4
42 LIBCHAMPLAIN_GTK_REQUIRED=0.4
43 CLUTTER_GTK_REQUIRED=0.10
44 GEOCLUE_REQUIRED=0.11
45 WEBKIT_REQUIRED=1.1.15
46 KEYRING_REQUIRED=2.22
47 NETWORK_MANAGER_REQUIRED=0.7.0
48 NAUTILUS_SENDTO_REQUIRED=2.28.1
49
50 # Use --enable-maintainer-mode to disabled deprecated symbols
51 GNOME_MAINTAINER_MODE_DEFINES
52
53 # Warning if GLib/GDK/GTK headers are included
54 AC_DEFINE(G_DISABLE_SINGLE_INCLUDES, [], [Disable single includes for GLib])
55 AC_DEFINE(GDK_PIXBUF_DISABLE_SINGLE_INCLUDES, [], [Disable single includes for GDK pixbuf])
56 AC_DEFINE(GTK_DISABLE_SINGLE_INCLUDES, [], [Disable single includes for GTK])
57
58 AC_CONFIG_MACRO_DIR([m4])
59 AC_CONFIG_HEADERS([config.h])
60 AC_CONFIG_SRCDIR([configure.ac])
61 AC_CONFIG_AUX_DIR(.)
62
63 GNOME_COMMON_INIT
64
65 AM_INIT_AUTOMAKE(1.9 dist-bzip2 no-define -Wno-portability)
66
67 # Support silent build rules, requires at least automake-1.11. Disable
68 # by either passing --disable-silent-rules to configure or passing V=1
69 # to make
70 m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
71
72 AC_ISC_POSIX
73 AC_PROG_CC
74 AC_HEADER_STDC
75 AM_PROG_LIBTOOL
76 AM_PROG_MKDIR_P
77 AM_PATH_GLIB_2_0
78 AC_PATH_XTRA
79 IT_PROG_INTLTOOL([0.35.0])
80 GNOME_DOC_INIT([0.17.3])
81 IDT_COMPILE_WARNINGS
82 AC_PATH_PROG(DBUS_BINDING_TOOL, dbus-binding-tool)
83 AC_PATH_PROG(GCONFTOOL, gconftool-2)
84 AM_GCONF_SOURCE_2
85 GLIB_GENMARSHAL=`$PKG_CONFIG glib-2.0 --variable=glib_genmarshal`
86 AC_SUBST(GLIB_GENMARSHAL)
87 CONTROL_CENTER_EXTENSIONDIR=`$PKG_CONFIG --variable=extensiondir libgnome-control-center-extension`
88 AC_SUBST(CONTROL_CENTER_EXTENSIONDIR)
89
90 AC_CHECK_PROGS([XSLTPROC], [xsltproc])
91 if test -z "$XSLTPROC"; then
92   AC_MSG_ERROR([xsltproc (from libxslt) is required])
93 fi
94 AM_PATH_PYTHON([2.3])
95
96 EMPATHY_ARG_VALGRIND
97
98
99 # -----------------------------------------------------------
100 # Error flags
101 # -----------------------------------------------------------
102 AS_COMPILER_FLAG(-Wall, ERROR_CFLAGS="-Wall", ERROR_CFLAGS="")
103 AS_COMPILER_FLAG(-Werror, werror=yes, werror=no)
104
105 AC_ARG_ENABLE(Werror,
106   AC_HELP_STRING([--disable-Werror],[compile without -Werror (normally enabled in development builds)]),
107     werror=$enableval, :)
108
109 AS_COMPILER_FLAG(-Wextra, wextra=yes, wextra=no)
110 AS_COMPILER_FLAG(-Wno-missing-field-initializers,
111         wno_missing_field_initializers=yes,
112         wno_missing_field_initializers=no)
113 AS_COMPILER_FLAG(-Wno-unused-parameter,
114         wno_unused_parameter=yes,
115         wno_unused_parameter=no)
116
117 ifelse(empathy_released, 1, [],
118     [
119         if test x$werror = xyes; then
120             ERROR_CFLAGS="$ERROR_CFLAGS -Werror"
121         fi
122         if test x$wextra = xyes -a \
123             x$wno_missing_field_initializers = xyes -a \
124             x$wno_unused_parameter = xyes; then
125             ERROR_CFLAGS="$ERROR_CFLAGS -Wextra -Wno-missing-field-initializers -Wno-unused-parameter"
126         fi
127     ])
128
129 AS_COMPILER_FLAG(-Wdeclaration-after-statement, ERROR_CFLAGS="$ERROR_CFLAGS -Wdeclaration-after-statement")
130 AS_COMPILER_FLAG(-Wshadow, ERROR_CFLAGS="$ERROR_CFLAGS -Wshadow")
131 AS_COMPILER_FLAG(-Wmissing-prototypes, ERROR_CFLAGS="$ERROR_CFLAGS -Wmissing-prototypes")
132 AS_COMPILER_FLAG(-Wmissing-declarations, ERROR_CFLAGS="$ERROR_CFLAGS -Wmissing-declarations")
133 # Disabled because some GTK+ headers (like gtkitemfactory.h) are bugged :(
134 #AS_COMPILER_FLAG(-Wstrict-prototypes, ERROR_CFLAGS="$ERROR_CFLAGS -Wstrict-prototypes")
135
136 AC_SUBST(ERROR_CFLAGS)
137
138 # -----------------------------------------------------------
139 # Enable TPL
140 # -----------------------------------------------------------
141
142 # It needs to be defined before PKG_CHECK_MODULES calls
143 AC_ARG_ENABLE(tpl,
144   AC_HELP_STRING([--enable-tpl],[enable telepathy-logger code and disable the
145     empathy logger]), enable_tpl=$enableval, enable_tpl=no )
146 AM_CONDITIONAL(ENABLE_TPL, test "x$enable_tpl" = "xyes")
147
148 if test x${enable_tpl} = xyes; then
149   AC_DEFINE(ENABLE_TPL, [], [Enable TPL code])
150 fi
151
152 if test "x$enable_tpl" = "xyes"; then
153   PKG_CHECK_MODULES(TPL,
154   [
155      telepathy-logger = $TELEPATHY_LOGGER
156   ])
157   AC_SUBST(TPL_CFLAGS)
158   AC_SUBST(TPL_LIBS)
159 fi
160
161
162 # -----------------------------------------------------------
163 # Pkg-Config dependency checks
164 # -----------------------------------------------------------
165
166 PKG_CHECK_MODULES(LIBEMPATHY,
167 [
168    glib-2.0 >= $GLIB_REQUIRED
169    gobject-2.0
170    gio-2.0 >= $GLIB_REQUIRED
171    gio-unix-2.0 >= $GLIB_REQUIRED
172    libxml-2.0
173    telepathy-glib >= $TELEPATHY_GLIB_REQUIRED
174    telepathy-farsight
175    farsight2-0.10
176    gstreamer-0.10
177 ])
178
179 PKG_CHECK_MODULES(LIBEMPATHYGTK,
180 [
181    glib-2.0 >= $GLIB_REQUIRED
182    gobject-2.0
183    gio-2.0 >= $GLIB_REQUIRED
184    gconf-2.0 >= $GCONF_REQUIRED
185    x11
186    gtk+-2.0 >= $GTK_REQUIRED
187    libcanberra-gtk >= $LIBCANBERRA_GTK_REQUIRED
188    telepathy-glib >= $TELEPATHY_GLIB_REQUIRED
189    farsight2-0.10
190    gstreamer-0.10
191    gstreamer-interfaces-0.10
192 ])
193
194 PKG_CHECK_MODULES(EMPATHY,
195 [
196    glib-2.0 >= $GLIB_REQUIRED
197    gobject-2.0
198    gio-2.0 >= $GLIB_REQUIRED
199    gdk-x11-2.0
200    gtk+-2.0 >= $GTK_REQUIRED
201    libebook-1.2
202    dbus-glib-1
203    telepathy-glib >= $TELEPATHY_GLIB_REQUIRED
204    telepathy-farsight
205    farsight2-0.10
206    gstreamer-0.10
207    unique-1.0
208    gnome-keyring-1 >= $KEYRING_REQUIRED
209 ])
210
211 PKG_CHECK_MODULES(LIBEMPATHY_ACCOUNTS_PANEL,
212 [
213    glib-2.0 >= $GLIB_REQUIRED
214    gobject-2.0
215    gio-2.0 >= $GLIB_REQUIRED
216    gdk-x11-2.0
217    gtk+-2.0 >= $GTK_REQUIRED
218    libebook-1.2
219    dbus-glib-1
220    telepathy-glib >= $TELEPATHY_GLIB_REQUIRED
221    unique-1.0
222    gnome-keyring-1 >= $KEYRING_REQUIRED
223 ])
224
225 PKG_CHECK_MODULES(LIBNOTIFY, libnotify >= $LIBNOTIFY_REQUIRED)
226
227 # -----------------------------------------------------------
228 # Enable debug
229 # -----------------------------------------------------------
230
231 AC_ARG_ENABLE(debug,
232   AC_HELP_STRING([--disable-debug],[compile without debug code]),
233     enable_debug=$enableval, enable_debug=yes )
234
235 if test x$enable_debug = xyes; then
236   AC_DEFINE(ENABLE_DEBUG, [], [Enable debug code])
237 fi
238
239 # -----------------------------------------------------------
240 # Language Support
241 # -----------------------------------------------------------
242
243 GETTEXT_PACKAGE=empathy
244 AC_SUBST(GETTEXT_PACKAGE)
245 AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE",[Gettext package name])
246
247 AM_GLIB_GNU_GETTEXT
248
249 # -----------------------------------------------------------
250 # Connectivity integration
251 # -----------------------------------------------------------
252 AC_ARG_WITH(connectivity,
253               AS_HELP_STRING([--with-connectivity=@<:@nm/connman/auto/no@:>@],
254                              [build with connectivity support]), ,
255                              with_connectivity=auto)
256
257 if test "x$with_connectivity" = "xno"; then
258    have_nm=no
259    have_connman=no
260
261 elif test "x$with_connectivity" = "xconnman"; then
262
263    PKG_CHECK_MODULES(CONNMAN,
264    [
265       dbus-glib-1
266    ], have_connman="yes", have_connman="no")
267
268    if test "x$have_connman" = "xyes"; then
269       AC_DEFINE(HAVE_CONNMAN, 1, [Define if you have connman dependencies])
270       have_nm=no
271    fi
272
273 else
274
275    PKG_CHECK_MODULES(NETWORK_MANAGER,
276    [
277       libnm_glib >= $NETWORK_MANAGER_REQUIRED
278    ], have_nm="yes", have_nm="no")
279
280    if test "x$have_nm" = "xyes"; then
281       AC_DEFINE(HAVE_NM, 1, [Define if you have libnm-glib])
282       have_connman=no
283    else
284       PKG_CHECK_MODULES(NETWORK_MANAGER,
285       [
286           libnm-glib >= $NETWORK_MANAGER_REQUIRED
287       ], have_nm="yes", have_nm="no")
288
289       if test "x$have_nm" = "xyes"; then
290       AC_DEFINE(HAVE_NM, 1, [Define if you have libnm-glib])
291       have_connman=no
292       fi
293    fi
294 fi
295
296 if test "x$with_connectivity" = "xconnman" -a "x$have_connman" != "xyes"; then
297    AC_MSG_ERROR([Couldn't find connman dependencies.])
298 fi
299
300 if test "x$with_connectivity" = "xnm" -a "x$have_nm" != "xyes"; then
301    AC_MSG_ERROR([Couldn't find libnm-glib dependencies.])
302 fi
303
304 AM_CONDITIONAL(HAVE_NM, test "x$have_nm" = "xyes")
305 AM_CONDITIONAL(HAVE_CONNMAN, test "x$have_connman" = "xyes")
306
307 # -----------------------------------------------------------
308 # Webkit
309 # -----------------------------------------------------------
310 AC_ARG_ENABLE(webkit,
311               AS_HELP_STRING([--enable-webkit=@<:@no/yes/auto@:>@],
312                              [build with webkit support]), ,
313                              enable_webkit=auto)
314
315 if test "x$enable_webkit" != "xno"; then
316    PKG_CHECK_MODULES(WEBKIT,
317    [
318       webkit-1.0 >= $WEBKIT_REQUIRED
319    ], have_webkit="yes", have_webkit="no")
320
321    if test "x$have_webkit" = "xyes"; then
322       AC_DEFINE(HAVE_WEBKIT, 1, [Define if you have libwebkitgtk])
323    fi
324 else
325    have_webkit=no
326 fi
327
328 if test "x$enable_webkit" = "xyes" -a "x$have_webkit" != "xyes"; then
329    AC_MSG_ERROR([Couldn't find webkit dependencies.])
330 fi
331 AM_CONDITIONAL(HAVE_WEBKIT, test "x$have_webkit" = "xyes")
332
333 # -----------------------------------------------------------
334 # spellchecking checks: enchant and iso-codes
335 # -----------------------------------------------------------
336 AC_ARG_ENABLE(spell,
337               AS_HELP_STRING([--enable-spell=@<:@no/yes/auto@:>@],
338                              [Enable spell checking]), ,
339                              enable_spell=auto)
340
341 if test "x$enable_spell" != "xno"; then
342    PKG_CHECK_MODULES(ENCHANT,
343    [
344       enchant >= $ENCHANT_REQUIRED,
345       iso-codes >= $ISO_CODES_REQUIRED
346    ], have_enchant="yes", have_enchant="no")
347
348    if test "x$have_enchant" = "xyes"; then
349       AC_MSG_CHECKING([whether iso-codes has iso-639 and iso-3166 domains])
350       if $PKG_CONFIG --variable=domains iso-codes | grep 639 > /dev/null && \
351          $PKG_CONFIG --variable=domains iso-codes | grep 3166 > /dev/null ; then
352             AC_DEFINE_UNQUOTED(ISO_CODES_PREFIX, ["`$PKG_CONFIG --variable=prefix iso-codes`"], [ISO codes prefix])
353             AC_DEFINE(HAVE_ENCHANT, [], [Define if you have libenchant])
354             result=yes
355       else
356             result=no
357             have_enchant="no"
358       fi
359       AC_MSG_RESULT([$result])
360    fi
361 else
362    have_enchant=no
363 fi
364
365 if test "x$enable_spell" = "xyes" -a "x$have_enchant" != "xyes"; then
366    AC_MSG_ERROR([Couldn't find spell dependencies.])
367 fi
368
369 AM_CONDITIONAL(HAVE_ENCHANT, test "x$have_enchant" = "xyes")
370
371 # -----------------------------------------------------------
372 # Map view checks: libchamplain
373 # -----------------------------------------------------------
374 AC_ARG_ENABLE(map,
375               AS_HELP_STRING([--enable-map=@<:@no/yes/auto@:>@],
376                              [Enable map view]), ,
377                              enable_map=auto)
378
379 if test "x$enable_map" != "xno"; then
380    PKG_CHECK_MODULES(LIBCHAMPLAIN,
381    [
382       champlain-0.4 >= $LIBCHAMPLAIN_REQUIRED,
383       champlain-gtk-0.4 >= $LIBCHAMPLAIN_GTK_REQUIRED
384       clutter-gtk-0.10 >= $CLUTTER_GTK_REQUIRED
385    ], have_libchamplain="yes", have_libchamplain="no")
386
387    if test "x$have_libchamplain" = "xyes"; then
388       AC_DEFINE(HAVE_LIBCHAMPLAIN, 1, [Define if you have libchamplain])
389    fi
390 else
391    have_libchamplain=no
392 fi
393
394 if test "x$enable_map" = "xyes" -a "x$have_libchamplain" != "xyes"; then
395    AC_MSG_ERROR([Couldn't find map view dependencies.])
396 fi
397
398 AM_CONDITIONAL(HAVE_LIBCHAMPLAIN, test "x$have_libchamplain" = "xyes")
399
400 # -----------------------------------------------------------
401 # location checks: geoclue
402 # -----------------------------------------------------------
403 AC_ARG_ENABLE(location,
404               AS_HELP_STRING([--enable-location=@<:@no/yes/auto@:>@],
405                              [Enable location awareness]), ,
406                              enable_location=auto)
407
408 if test "x$enable_location" != "xno"; then
409    PKG_CHECK_MODULES(GEOCLUE,
410    [
411       geoclue >= $GEOCLUE_REQUIRED
412    ], have_geoclue="yes", have_geoclue="no")
413
414    if test "x$have_geoclue" = "xyes"; then
415       AC_DEFINE(HAVE_GEOCLUE, 1, [Define if you have geoclue])
416    fi
417 else
418    have_geoclue="no"
419 fi
420
421 if test "x$enable_location" = "xyes" -a "x$have_geoclue" != "xyes"; then
422    AC_MSG_ERROR([Couldn't find location dependencies.])
423 fi
424
425 AM_CONDITIONAL(HAVE_GEOCLUE, test "x$have_geoclue" = "xyes")
426 AC_SUBST(GEOCLUE_CFLAGS)
427 AC_SUBST(GEOCLUE_LIBS)
428
429 # -----------------------------------------------------------
430 # meego widgets support
431 # -----------------------------------------------------------
432 AC_ARG_ENABLE(meego,
433               AS_HELP_STRING([--enable-meego=@<:no/yes@:>@],
434                              [Enable meego widgets]), ,
435                              enable_meego=no)
436
437 if test "x$enable_meego" != "xno"; then
438     PKG_CHECK_MODULES(MEEGO,
439     [
440        mx-gtk-1.0
441     ], have_meego="yes", have_meego="no")
442
443     if test "x$have_meego" = "xyes"; then
444        AC_DEFINE(HAVE_MEEGO, 1, [Define if you have meego])
445        chain_enable_favourite_contacts="yes"
446     fi
447 else
448    have_meego="no"
449 fi
450
451 if test "x$enable_meego" = "xyes" -a "x$have_meego" != "xyes"; then
452    AC_MSG_ERROR([Couldn't find meego dependencies.])
453 fi
454
455 AM_CONDITIONAL(HAVE_MEEGO, test "x$have_meego" = "xyes")
456 AC_SUBST(MEEGO_CFLAGS)
457 AC_SUBST(MEEGO_LIBS)
458
459 # -----------------------------------------------------------
460 # favourite contacts support
461 # -----------------------------------------------------------
462 AC_ARG_ENABLE(favourite_contacts,
463               AS_HELP_STRING([--enable-favourite-contacts=@<:no/yes@:>@],
464                              [Enable favourite contacts]), ,
465                              enable_favourite_contacts=no)
466
467 if test "x$enable_favourite_contacts" != "xno" -o "x$chain_enable_favourite_contacts" == "xyes"; then
468     PKG_CHECK_MODULES(TELEPATHY_LOGGER,
469     [
470        telepathy-logger
471     ], have_telepathy_logger="yes", have_telepathy_logger="no")
472
473     if test "x$have_telepathy_logger" = "xyes"; then
474        have_favourite_contacts="yes"
475        AC_DEFINE(HAVE_FAVOURITE_CONTACTS, 1, [Define if you want favourite contacts support])
476     fi
477 else
478    have_favourite_contacts="no"
479 fi
480
481 if test "x$enable_favourite_contacts" = "xyes" -a "x$have_favourite_contacts" != "xyes"; then
482    AC_MSG_ERROR([Couldn't find favourite contacts dependencies.])
483 fi
484
485 AM_CONDITIONAL(HAVE_FAVOURITE_CONTACTS, test "x$have_telepathy_logger" = "xyes")
486
487 # -----------------------------------------------------------
488 # nautilus-sendto
489 # -----------------------------------------------------------
490 AC_ARG_ENABLE(nautilus-sendto,
491               AS_HELP_STRING([--enable-nautilus-sendto=@<:@no/yes/auto@:>@],
492                              [build nautilus-sendto plugin]), ,
493                              enable_nautilus_sendto=auto)
494
495 if test "x$enable_nautilus_sendto" != "xno"; then
496    PKG_CHECK_MODULES(NST,
497    [
498       nautilus-sendto >= $NAUTILUS_SENDTO_REQUIRED
499    ], have_nst="yes", have_nst="no")
500 else
501    have_nst=no
502 fi
503
504 if test "x$enable_nautilus_sendto" = "xyes" -a "x$have_nst" != "xyes"; then
505    AC_MSG_ERROR([Couldn't find nautilus-sendto dependencies.])
506 fi
507
508 AM_CONDITIONAL(HAVE_NST, test "x$have_nst" = "xyes")
509
510 # -----------------------------------------------------------
511 # new, single-window control center
512 # -----------------------------------------------------------
513 AC_ARG_ENABLE(control_center_embedding,
514               AS_HELP_STRING([--enable-control-center-embedding=@<:@no/yes/auto@:>@],
515                              [Enable support for single-window control center]),
516                              , enable_control_center_embedding=auto)
517
518 if test "x$enable_control_center_embedding" != "xno"; then
519    PKG_CHECK_MODULES(CONTROL_CENTER_EMBEDDING,
520    [
521       libgnome-control-center-extension
522    ], have_control_center_embedding="yes", have_control_center_embedding="no")
523
524    if test "x$have_control_center_embedding" = "xyes"; then
525       AC_DEFINE(HAVE_CONTROL_CENTER_EMBEDDING, 1, [Define if you have the single-window control center])
526    fi
527 else
528    have_control_center_embedding="no"
529 fi
530
531 if test "x$enable_control_center_embedding" = "xyes" -a "x$have_control_center_embedding" != "xyes"; then
532    AC_MSG_ERROR([Couldn't find single-window control center dependencies.])
533 fi
534
535 AM_CONDITIONAL(HAVE_CONTROL_CENTER_EMBEDDING, test "x$have_control_center_embedding" = "xyes")
536 AC_SUBST(CONTROL_CENTER_EMBEDDING_CFLAGS)
537 AC_SUBST(CONTROL_CENTER_EMBEDDING_LIBS)
538
539 # -----------------------------------------------------------
540 # Coding style checks
541 # -----------------------------------------------------------
542 AC_ARG_ENABLE(coding-style-checks,
543   AC_HELP_STRING([--disable-coding-style-checks],
544                  [don't check coding style using grep]),
545     [ENABLE_CODING_STYLE_CHECKS=$enableval], [ENABLE_CODING_STYLE_CHECKS=yes])
546
547 AC_SUBST([ENABLE_CODING_STYLE_CHECKS])
548 # -----------------------------------------------------------
549
550 AC_OUTPUT([
551    Makefile
552    data/Makefile
553    data/empathy.desktop.in
554    data/empathy-accounts.desktop.in
555    data/icons/Makefile
556    extensions/Makefile
557    po/Makefile.in
558    libempathy/Makefile
559    libempathy-gtk/Makefile
560    src/Makefile
561    nautilus-sendto-plugin/Makefile
562    help/Makefile
563    tests/Makefile
564    tests/interactive/Makefile
565    tests/xml/Makefile
566    tools/Makefile
567 ])
568
569 echo "
570 Configure summary:
571
572         Compiler....................:  ${CC}
573         Compiler Flags..............:  ${CFLAGS} ${ERROR_CFLAGS}
574         Prefix......................:  ${prefix}
575         Coding style checks.........:  ${ENABLE_CODING_STYLE_CHECKS}
576
577     Features:
578         Spell checking (enchant)....:  ${have_enchant}
579         Display maps (libchamplain).:  ${have_libchamplain}
580         Location awareness (Geoclue):  ${have_geoclue}
581         Adium themes (Webkit).......:  ${have_webkit}
582         Meego widgets ..............:  ${have_meego}
583         Favourite contacts .........:  ${have_favourite_contacts}
584         Control center embedding....:  ${have_control_center_embedding}
585
586     Logging:
587         Telepathy Logger............:  ${enable_tpl}
588
589     Connectivity:
590         NetworkManager integration..:  ${have_nm}
591         ConnMan integration.........:  ${have_connman}
592
593     Extras:
594         Nautilus-sendto plugin......:  ${have_nst}
595 "